.main_button {
    border: 1px solid var(--black);
    background-color: transparent;
    width: fit-content;
    min-width: 120px;
    height: 40px;
}

.main_button:hover {
    border: 1px solid var(--black);
}

.hovermode .main_button_span {
    position: relative;
    /* display: inline-block; */
}

.main_button_span {
    font-family: SoletoTK_W_lt;
    color: var(--black);
    font-size: 16px;
}

.hovermode .main_button_span::after {
    content: "";
    position: absolute;
    width: 100%;
    bottom: 2px;
    height: 2px;
    background-color: var(--black);
    bottom: 0;
    left: 0;
    transform: scaleX(0);
    transform-origin: bottom left;
    transition: transform 0.3s linear;

}

.hovermode:hover .main_button_span::after {
    transform-origin: bottom left;
    transform: scaleX(1);
}

.main_button_img {
    height: 16px;
    /* padding-right: 10px; */
}

.gibButton{
    background-color: transparent;
    margin: 0;
    height: 40px;
    border: 1px solid var(--dark-gray);
    align-self: flex-start;
    width: fit-content;
    transition: background-color .3s ease;
     display: inline-flex;
    align-items: center;
    text-decoration: none;
    cursor: pointer;
}

.gibButton:hover {
    background-color: var(--gray);
    cursor: pointer;
}


.gibButton button{
    border: 0;
    padding: 0;
    margin: 0;
    display: inline-flex;
    background: none;
    cursor: pointer;
    position: relative;
}

.gibButton span, .gibButton a{
    color: var(--dark-gray);
    font-family: var(--bs-body-font-family);
    font-size: 16px;
    font-style: normal;
    font-weight: 300;
    line-height: 24px;
    position: relative;
}

.gibButton img{
    width: 16px;
    height: 16px;
    gap: 12px;
    margin: 0 0 0 0;
}

/* .gibButton a::after, .gibButton button span::after {
    content: "";
    position: absolute;
    width: 100%;
    bottom: 2px;
    height: 2px;
    background-color: var(--black);
    bottom: 0;
    left: 0;
    transform: scaleX(0);
    transform-origin: bottom left;
    transition: transform 0.3s linear;

}

.gibButton a:hover, .gibButton button:hover span::after {
    transform-origin: bottom left;
    transform: scaleX(1);
} */


/** 
=======================================
SPECIAL TK CONTACT BUTTONS 
=======================================
**/    

    .gibTKContactButtonContainer{
        padding: 12px 0 0 0;
        margin: 0 0 0 0;
        gap: 10px;
    }

    .gibTKContactButtonContainer > a{
        margin: 0 0 0 0;
        gap: 12px;
        background-color: var(--dark-blue);
        color: #FFF;
        border-radius: 4px !important;
        border: 0  !important;
        min-height: 48px;
        display: flex;
        align-items: center;
        justify-content: center;    
    }

    .gibTKContactButtonContainer > a > span {
        font-size: 16px;
        font-weight: 500;
        line-height: 16px;
        font-family: "SoletoTK_W_md";
    }

    .gibTKContactButtonContainer > a:hover{
        background-color: var(--hover-dark-blue);
    }

    @media only screen and (max-width: 575.98px) {
        .gibTKContactButtonContainer{
            padding: 8px 0 0 0;
        }
        .gibTKContactButtonContainer > a{
            padding: 4px 12px 4px 12px;
            gap: 8px;
        }
    }
    
.bookedOut_button {
    position: absolute;
    transform: translateX(-100%);
    bottom: 0px;
    background: var(--dark-gray);
    border: none;
    padding: 10px 18px;
    pointer-events: none;
    text-decoration: none;
    width: 100%;
    text-align: center !important;
    height: clamp(50px, 15vw, 70px); /* 70px; */
    align-content: center;
    opacity: 0.9;
}

.bookedOut_button_span {
    font-family: SoletoTK_W_Md;
    color: #FFF;
    font-size: 17px;
    white-space: nowrap;
}
@media (max-width: 575px) {
    .bookedOut_button {
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0px;
        height: 56px;
        display: flex;
        background: var(--black);
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 10 !important;
        pointer-events: none;
        text-decoration: none;
        transform: translateX(-0%);
    }

    .bookedOut_button_span {
        font-family: SoletoTK_W_Md;
        color: #FFF;
        font-size: 17px;
        white-space: nowrap;
    }  
}

@media (min-width: 576px){
    .bookedOut_button{ width: 150px; top: 262px;}
}
@media (min-width: 768px){
    .bookedOut_button{ width: 200px; top: 326px;}
}
@media (min-width: 992px){
    .bookedOut_button{ width: 260px; top: 404px;}
}
@media (min-width: 1200px){
    .bookedOut_button{ width: 320px; top: 477px;}
}
@media (min-width: 1400px){
    .bookedOut_button{ width: 360px; top: 529px; }
}


.back_button {
    display: block;
    cursor: pointer;
    color: var(--black);
    font-size: 14px !important;
    line-height: 24px !important;
}

/* for <a class="back_button_link ...*/
.back_button_link {
    cursor: pointer;
    color: var(--black);
    font-size: 14px !important;
    line-height: 18px !important;
}

.back_button:hover, .back_button_link:hover {
    color: var(--black);
}

/** registration */
.email-resend-button, .email-already-registered-button {
    padding: 0px 0px;
    display: inline-block;
    border: none;
    background-color: transparent;
    font-family: "SoletoTK_W_lt";
    display: inline-block;
    font-size: 17px;
    margin-top: 2px;
    color: var(--black);
    cursor: pointer;
    text-decoration: underline;
}

.registrationBackButton{
    padding-top: 16px;
}